var express = require('express');
var path = require('path');
var cookieParser = require('cookie-parser');
var logger = require('morgan');

var app = express();

app.use(logger('dev'));
app.use(express.json());
app.use(express.urlencoded({ extended: false }));
app.use(cookieParser());
app.use(express.static(path.join(__dirname, 'static')));

app.use('/', require('./routes/index.js'));

var server = app.listen(8081, 'localhost', function () {
    var host = server.address().address
    var port = server.address().port
    console.log("Server running at http://%s:%s", host, port)
});

// module.exports = app;
